dyn_gw: fix a Coverity warning
[olsrd.git] / lib / dyn_gw / src / olsrd_dyn_gw.c
index d5883d9..e098bbe 100644 (file)
@@ -214,7 +214,8 @@ set_plugin_cmd(const char *value, void *data __attribute__ ((unused)), set_plugi
   size_t len = strlen(value);
 
   if (len < PING_CMD_MAX_LEN) {
-    strncpy(ping_cmd, value, sizeof(ping_cmd));
+    strncpy(ping_cmd, value, MAX(sizeof(ping_cmd), PING_CMD_MAX_LEN - 1));
+    ping_cmd[PING_CMD_MAX_LEN - 1] = '\0';
     return 0;
   }